package test;

import java.util.Date;
import java.util.Locale;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.expression.ExpressionParser;
import org.springframework.expression.spel.standard.SpelExpressionParser;

import test.beans.MyObject;

public class MyMain {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {
		System.out.println(new Date());
		ApplicationContext ctx = new ClassPathXmlApplicationContext(
				"applicationContext.xml");

		// TimeUnit.MILLISECONDS.sleep(3000);

		System.out.println(new Date());
		MyObject obj = ctx.getBean("myObject", MyObject.class);
		System.out.println(obj);
		System.out.println(obj.getHeight());
		System.out.println(obj.getName());
		System.out.println(obj.getBirthday());
		MyObject obj2 = ctx.getBean("n1", MyObject.class);
		System.out.println(obj2);
		System.out.println(obj2.getHeight());
		System.out.println(obj2.getName());
		System.out.println(obj2.getBirthday());

		obj2.SaySth();

		System.out.println("--------------I18n Message ----------------------");
		System.out.println(ctx.getMessage("firstMsg", null, "默认值", null));
		System.out.println(ctx.getMessage("second",
				new String[] { "中国", "美国" }, "默认值", null));

		System.out.println(ctx.getMessage("firstMsg", null, "默认值", Locale.US));
		System.out.println(ctx.getMessage("second",
				new String[] { "中国", "美国" }, "默认值", Locale.US));

		System.out
				.println("-----------Spring Expression Language (EL)----------------------");

		ExpressionParser parser = new SpelExpressionParser();
		String s = (String) parser.parseExpression("'hello中国人 World'").getValue();
		System.out.println(s);
		
		Boolean b = (Boolean) parser.parseExpression("true").getValue();
		System.out.println(b);
		
		int i = (Integer) parser.parseExpression("0x11").getValue();
		System.out.println(i);
		
		
		
	}

}
