package test.aop;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;

public class MyMethodInterceptor implements MethodInterceptor {

	@Override
	public Object invoke(MethodInvocation invocation) throws Throwable {
		try {
			//before advice
			System.out.println("MethodInterceptor:before advice:"+invocation.getMethod().getName());
			
			Object result=invocation.proceed();
			
			//after advice
			System.out.println("MethodInterceptor:after advice:"+invocation.getMethod().getName());
			return result;
		} catch (Exception e) {
			System.out.println("MethodInterceptor:异常发生:"+e.getMessage());
			throw e;
		}
	}
}
