package test.aop.aspectj;

import org.aspectj.lang.annotation.AfterReturning;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;

@Aspect		//标识为一个切面
public class LoginAspect {
	@Before("execution(* login(..))")		//定义切点和增强类型
	public void beforeLogin() {				//增强的横切逻辑
		System.out.println("[before]登陆前");
	}
	@AfterReturning("execution(* login(..))")
	public void afterLogin() {
		System.out.println("[after]登陆后");
	}	
	
	@AfterReturning("test.aop.aspectj.MyPointcuts.LoginPointcut()")		//使用已命名的Pointcut
	public void afterLoginUseNamedPointcut() {
		System.out.println("[after use Named Pointcut]登陆后11:");
	}
	
}
